- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- SearchEntriesResult
- Snippets
- Try it!
Searches for Entries matching the given query and scope.
HTTP request
POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:searchEntries
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The project to which the request should be attributed in the following form: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
query |
Required. The query against which entries in scope should be matched. The query syntax is defined in Search syntax for Dataplex Universal Catalog. |
pageSize |
Optional. Number of results in the search page. If <=0, then defaults to 10. Max limit for pageSize is 1000. Throws an invalid argument for pageSize > 1000. |
pageToken |
Optional. Page token received from a previous |
orderBy |
Optional. Specifies the ordering of results. Supported values are:
|
scope |
Optional. The scope under which the search should be operating. It must either be |
semanticSearch |
Optional. Specifies whether the search should understand the meaning and intent behind the query, rather than just matching keywords. |
contexts[] |
Optional. Specifies the scope of the context in which the search will be performed. This scope will also be used to perform IAM checks, which if passing, will return all resources in the scope. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"results": [
{
object ( |
| Fields | |
|---|---|
results[] |
The results matching the search query. |
totalSize |
The estimated total number of matching entries. This number isn't guaranteed to be accurate. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
unreachable[] |
Locations that the service couldn't reach. locations.search results don't include data from these locations. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/dataplex.read-writehttps://www.googleapis.com/auth/dataplex.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataplex.projects.search
For more information, see the IAM documentation.
SearchEntriesResult
A single result of a locations.searchEntries request.
| JSON representation |
|---|
{ "linkedResource": string, "dataplexEntry": { object ( |
| Fields | |
|---|---|
linkedResource |
Linked resource name. |
dataplexEntry |
|
snippets |
Snippets. |
Snippets
Snippets for the entry, contains HTML-style highlighting for matched tokens, will be used in UI.
| JSON representation |
|---|
{
"dataplexEntry": {
object ( |
| Fields | |
|---|---|
dataplexEntry |
Entry |